

--pas de namespace ici

--WBPArray = {}



function IndexArray(tab,key)
	OPLog.Log("indexarray de "..tostring(tab).." sur "..tostring(key))
	return tab.data[key]
end

function NewIndexArray(tab,key,value)
	OPLog.Log("NewIndexArray de "..tostring(value).." sur "..tostring(key))
	tab.data[key] = value
end

WBPArray_mt = { __index = IndexArray, __newindex = NewIndexArray }


function CreateNewArray()
	OPLog.Log("creation d'un nouveau array")
	return setmetatable( { data = {} }, WBPArray_mt)
end
